Package org.bgerp.plugin.pln.callboard.model.work

# Class CellRange

java.lang.Object
org.bgerp.plugin.pln.callboard.model.work.CellRange

public class CellRange extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final WorkType`
  `workType`
  `final WorkTypeTime`
  `workTypeTime`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getCells()`
  `int`
  `getDayMinuteFrom(SlotRange slotRange)`
  `List<int[]>`
  `getFreeSlotRanges()`
  Возвращает свободные диапазоны слотов.
  `List<SlotRange>`
  `getSlotRanges()`
  `WorkType`
  `getWorkType()`
  `WorkTypeTime`
  `getWorkTypeTime()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### workType

    public final WorkType workType

  - ### workTypeTime

    public final WorkTypeTime workTypeTime

- ## Method Details

  - ### getWorkType

    public WorkType getWorkType()

  - ### getWorkTypeTime

    public WorkTypeTime getWorkTypeTime()

  - ### getCells

    public int getCells()

  - ### getSlotRanges

    public List<SlotRange> getSlotRanges()

  - ### getDayMinuteFrom

    public int getDayMinuteFrom(SlotRange slotRange)

  - ### getFreeSlotRanges

    public List<int[]> getFreeSlotRanges()
    Возвращает свободные диапазоны слотов.
    Returns:
      11-22/16:03:30 DEBUG [http-bio-9089-exec-9] WorkAction - Checking free ranges: 11-22/16:03:30 DEBUG [http-bio-9089-exec-9] WorkAction - SlotRange from: 0; count: 1; task: null 11-22/16:03:30 DEBUG [http-bio-9089-exec-9] WorkAction - SlotRange from: 1; count: 1; task: null 11-22/16:03:30 DEBUG [http-bio-9089-exec-9] WorkAction - SlotRange from: 2; count: 1; task: null 11-22/16:03:30 DEBUG [http-bio-9089-exec-9] WorkAction - SlotRange from: 3; count: 1; task: null 11-22/16:03:30 DEBUG [http-bio-9089-exec-9] WorkAction - SlotRange from: 4; count: 4; task: ru.bgcrm.model.work.WorkTask@b4114 11-22/16:03:30 DEBUG [http-bio-9089-exec-9] WorkAction - SlotRange from: 8; count: 1; task: null 11-22/16:03:30 DEBUG [http-bio-9089-exec-9] WorkAction - SlotRange from: 9; count: 1; task: null 11-22/16:03:30 DEBUG [http-bio-9089-exec-9] WorkAction - SlotRange from: 10; count: 1; task: null 11-22/16:03:30 DEBUG [http-bio-9089-exec-9] WorkAction - SlotRange from: 11; count: 1; task: null 11-22/16:03:30 DEBUG [http-bio-9089-exec-9] WorkAction - SlotRange from: 12; count: 1; task: null 11-22/16:03:30 DEBUG [http-bio-9089-exec-9] WorkAction - SlotRange from: 13; count: 1; task: null 11-22/16:03:30 DEBUG [http-bio-9089-exec-9] WorkAction - Date: 22.11.2014; Shift team: 1; userIds: [3443]; shiftId: 165; time: 120; slotSize: 30 11-22/16:03:30 DEBUG [http-bio-9089-exec-9] WorkAction - Checking free ranges: 0-4, 5-11